#ifndef __VPCALC_CPU_H
#define __VPCALC_CPU_H

typedef void *cpu_o;

cpu_o cpu_new(const char *libname, mem_o mem, dev_o dev, timing_o *rate);
void cpu_del(cpu_o cpu);

int cpu_execute(cpu_o cpu);
void cpu_terminate(cpu_o cpu);

int cpu_cycle(cpu_o cpu);
void cpu_interrupt(cpu_o cpu, unsigned int data);

void cpu_report(cpu_o cpu, FILE *out);
void cpu_alter(cpu_o cpu, const char *regname, unsigned int value);

#endif 
